#include <cstdio>
#include <cstring>
#include <algorithm>
using namespace std;
char s1[205],s2[205];
int main()
{
    scanf("%s%s%s",s1,s1+102,s2);
    sort(s1,s1+205);
    sort(s2,s2+205);
    puts(equal(s1,s1+205,s2)?"YES":"NO");
    return 0;
}
